using DevExpress.XtraBars.Docking;
using DevExpress.XtraEditors;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Net;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using SystemX.Product.ALIS.Interface;

namespace SystemX.Product.ALIS.UI.Subs
{
    public partial class InputCopyReleaseNoForm : DevExpress.XtraEditors.XtraForm
    {
        private IDataController ctrlDB;

        public string strProdNoP;
        public string strTestType;
        public string strVersion;
        public string strProdCode;

        public string strInputProductNo;

        public InputCopyReleaseNoForm(IDataController ctrlDB)
        {
            InitializeComponent();

            this.ctrlDB = ctrlDB;

            this.BringToFront();
            this.Focus();

            DialogResult = DialogResult.None;

            this.KeyPreview = true;

            this.ActiveControl = textBoxProductNo;

            textBoxProductNo.Focus();
        }

        private void simpleButtonOK_Click(object sender, EventArgs e)
        {
            strInputProductNo = textBoxProductNo.Text;

            DialogResult = DialogResult.OK;
        }

        private void ConnectForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (DialogResult == DialogResult.None)
                DialogResult = DialogResult.Abort;
        }

        private void SelectTestListForm_Shown(object sender, EventArgs e)
        {
            labelControlInfo2.Text = "P_ProdNo(Variant) : " + strProdNoP;
            labelControlInfo3.Text = "Test Type : " + strTestType;
            labelControlInfo4.Text = "Version : " + strVersion;
            labelControlInfo5.Text = "Production Code : " + strProdCode;
        }

        private void InputCopyReleaseNoForm_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Escape)
                DialogResult = DialogResult.Abort;
        }
    }
}